FastHttpDateFormat (Catalina Internal API Documentation)
Keywords: org.apache.catalina.util.FastHttpDateFormat class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class FastHttpDateFormat

    java.lang.Object
      org.apache.catalina.util.FastHttpDateFormat

public final class FastHttpDateFormat
extends java.lang.Object

Utility class to generate HTTP dates.

Author:
  Remy Maucherat

Field Summary
`protected static java.lang.String` | `currentDate` Current formatted date.
`protected static long` | `currentDateGenerated` Instant on which the currentDate object was generated.
`protected static java.util.HashMap` | `dateCache` Date cache.
`protected static java.text.SimpleDateFormat` | `format` HTTP date format.
`protected static java.util.TimeZone` | `gmtZone`

Constructor Summary
`FastHttpDateFormat()`

Method Summary
`static java.lang.String` | `getCurrentDate()` Get the current date in HTTP format.
`static java.lang.String` | `getDate(java.util.Date date)` Get the HTTP format of the specified date.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### format

    protected static java.text.SimpleDateFormat format

  HTTP date format.

### gmtZone

    protected static final java.util.TimeZone gmtZone

### currentDateGenerated

    protected static long currentDateGenerated

  Instant on which the currentDate object was generated.

### currentDate

    protected static java.lang.String currentDate

  Current formatted date.

### dateCache

    protected static java.util.HashMap dateCache

  Date cache.

Constructor Detail

### FastHttpDateFormat

    public FastHttpDateFormat()

Method Detail

### getCurrentDate

    public static java.lang.String getCurrentDate()

  Get the current date in HTTP format.

### getDate

    public static java.lang.String getDate(java.util.Date date)

  Get the HTTP format of the specified date.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.